int LEDpin = 7;       // LED on pin 5
int switchPin = 3;   // momentary switch on 13, other side connected to ground

boolean running = false;

void setup()
{
  pinMode(LEDpin, OUTPUT);
  pinMode(switchPin, INPUT);
  digitalWrite(switchPin, HIGH);      // turn on pullup resistor
}

void loop(){
  if (digitalRead(switchPin) == HIGH){  
    // switch is pressed - pullup keeps pin high normally
    delay(100);                        // delay to debounce switch
    running = !running;                // toggle running variable
    digitalWrite(LEDpin, running);      // indicate via LED
  }
  if (digitalRead(switchPin) == LOW){
    int x = 1;
    for (int i = 255; i > -1; i = i + x){
      analogWrite(LEDpin, i);
      if (i == 255) x = -1;
      delay(10);
    }
  }
}

